# Nautobot Show Tech

<p align="center">
  <img src="./docs/images/icon-nautobot-show-tech.png?raw=true" class="logo" height="200px">
  <br>
  <a href="https://docs.nautobot.com/projects/nautobot-show-tech/en/latest"><img src="https://readthedocs.org/projects/nautobot-app-show-tech/badge/"></a>
  <a href="https://pypi.org/project/nautobot-show-tech/"><img src="https://img.shields.io/pypi/v/nautobot-show-tech"></a>
  <a href="https://pypi.org/project/nautobot-show-tech/"><img src="https://img.shields.io/pypi/dm/nautobot-show-tech"></a>
  <br>
  An App for <a href="https://nautobot.com/">Nautobot</a>.
</p>

## Overview

### Purpose: Providing diagnostics in a Nautobot environment

When troubleshooting an environment, it is best to be able to answer questions about the environment quickly. This process is challenging to perform with a back-and-forth with a customer. Therefore, Nautobot Show Tech is designed to aggregate and provide that information in an easy-to-consume format as a one-time ask. The goal is to aid in troubleshooting managed service customer environments, but it can be extended to do more or be used to meet stakeholder requirements.

### Versions: Nautobot 2.X or 1.X compatible

Nautobot Show Tech is versioned in coordination with the Major Release version of Nautobot.  Please be sure to use the appropriate version for best diagnostic return results.
- Nautobot Show Tech 2.X will support Nautobot 2.X environments.
- Nautobot Show Tech 1.X will support Nautobot 1.X environments.

### Screenshots

![Show Tech GUI Job Run Mem Info](./docs/images/show_tech_gui_job_run.png)

![Show Tech GUI Job Result Mem Info](./docs/images/show_tech_gui_job_result.png)

![Show Tech CLI Mem Info](./docs/images/show_tech_cli_meminfo.png)

#### Recorded Examples

![Show_Tech_GUI](./docs/images/show_tech_gui_example.webm)

![Show_Tech_CLI](./docs/images/show_tech_cli_example.webm)


## Current Release

This App is available is not currently open sourced.  Instead it is currently available via [pypi.org](https://pypi.org/) and the maintainers are not accepting feature requests, bugs, or pull requests at this time.

## Documentation

Coming Soon. Until then, use this readme and the [`docs`](https://github.com/networktocode-llc/nautobot-app-show-tech/tree/main/docs) folder in this repository.

- [User Guide](https://docs.nautobot.com/projects/nautobot-show-tech/en/latest/user/app_overview/) - Overview, Using the App, Getting Started.
- [Administrator Guide](https://docs.nautobot.com/projects/nautobot-show-tech/en/latest/admin/install/) - How to Install, Configure, Upgrade, or Uninstall the App.
- [Developer Guide](https://docs.nautobot.com/projects/nautobot-show-tech/en/latest/dev/contributing/) - Extending the App, Code Reference, Contribution Guide.
- [Release Notes / Changelog](https://docs.nautobot.com/projects/nautobot-show-tech/en/latest/admin/release_notes/).
- [Frequently Asked Questions](https://docs.nautobot.com/projects/nautobot-show-tech/en/latest/user/faq/).
